from repo_cli.commands import wizard
from .fixtures import fixtures as all_channels
from unittest.mock import Mock


def test_wizard_example():
    mock_self = Mock()
    w = wizard.SubCommand(mock_self)
    expected_result = ['test']

    input_value = 'test c2 b1'
    channels = w.purge_channels(input_value, all_channels)

    assert channels == expected_result
